# 使用官方 Python 运行时作为父镜像
FROM python:3.8-slim

# 设置工作目录
WORKDIR /flask_project

# 复制requirements文件到容器中
COPY requirements.txt .

# 关闭pip的进度条以减少日志输出量
RUN pip config set global.progress_bar off

# 安装依赖
RUN pip install --upgrade pip --default-timeout=200 \
    && pip install -i https://mirrors.aliyun.com/pypi/simple/ -r requirements.txt

# 将当前目录的内容复制到容器的 /flask_project 中
COPY . .

# 将 flask_project 添加到 PYTHONPATH
ENV PYTHONPATH=/flask_project:$PYTHONPATH


# 暴露端口
EXPOSE 5000

# 在容器启动时运行你的应用
CMD ["python", "flask_app/run_serve.py"]
